#pragma once
#include <map>
struct M_ActivityElevenCollectingCFGData
{
	//任务ID
	int mID;
	//集齐类型
	int mCollectingType;
	//集齐奖励
	std::vector<int> mCollectingReward;
	//集齐奖励数量
	std::vector<int> mCollectingQuantity;
};

class M_ActivityElevenCollectingCFG
{
public:
private:
	static std::auto_ptr<M_ActivityElevenCollectingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityElevenCollectingCFGData* GetData(int ID);
	const std::map<int, M_ActivityElevenCollectingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityElevenCollectingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityElevenCollectingCFGData> mMapData;
};
